#!/bin/bash

export Script_Dir="${0%/*}"
export Chronicall_Orient_Pid="chronicallOrientPid"

#If pid file exists and isn't empty
if [ -s "$Script_Dir"/"$Chronicall_Orient_Pid" ]
then
	#Save process info
	ps aux | grep -v grep | grep `cat "$Script_Dir"/"$Chronicall_Orient_Pid"` > "$Script_Dir"/chronicallOrientProcessAliveTest.txt
	#If process info exists
	if [ -s "$Script_Dir"/chronicallOrientProcessAliveTest.txt ]
	then
		rm "$Script_Dir"/chronicallOrientProcessAliveTest.txt
		echo Chronicall OrientDB is already running
	else
		echo Starting Chronicall OrientDB
		rm "$Script_Dir"/chronicallOrientProcessAliveTest.txt
		ulimit -n 30000
		nohup "$Script_Dir"/ChronicallDatabaseOrientDB > /dev/null 2>&1&
		echo "$!" > "$Script_Dir"/"$Chronicall_Orient_Pid"
	fi
else
	echo Starting Chronicall OrientDB
	ulimit -n 30000
	nohup "$Script_Dir"/ChronicallDatabaseOrientDB > /dev/null 2>&1&
	echo "$!" > "$Script_Dir"/"$Chronicall_Orient_Pid"
fi